cupsfilter(8)

NOM
cupsfilter - convert a file to another format using cups filters (deprecated)

SYNOPSIS
cupsfilter [ --list-filters ] [ -D ] [ -U utilisateur ] [ -c fichier_configuration ] [ -d imprimante ] [ -e ] [ -i type/mime ] [ -j id-tâche[,N] ] [ -m type/mime ] [ -n copies ] [ -o nom=valeur ] [ -p nom_fichier.ppd ] [ -t titre ] [ -u ] nom_fichier

DESCRIPTION
cupsfilter est une interface pour le système de filtres de CUPS qui vous permet de convertir un fichier dans un format spécifique, comme si vous aviez imprimé le fichier avec CUPS. Par défaut, cupsfilter génère un fichier PDF. Le fichier transformé est dirigé vers la sortie standard.

OPTIONS

--list-filters
    Ne pas réellement exécuter les filtres, seulement afficher les filtres utilisés sur la sortie standard.

-D  Effacer le fichier d'entrée après la conversion.

-U identifiant
    Indiquer l'identifiant à passer aux filtres. Par défaut c'est le nom de l'utilisateur courant.

-c fichier_configuration
    Utiliser le fichier de configuration appelé cups-files.conf.

-d imprimante
    Utiliser des informations de l'imprimante nommée.

-e  Utiliser tous les filtres du fichier PPD.

-i type/mime
    Indiquer le type du fichier source. La valeur par défaut est déduite en utilisant le nom de fichier et son contenu.

-j id_tâche[,N]
    Convertir le document N depuis le travail indiqué. Si N est omis, le document 1 sera converti.

-m type/mime
    Indiquer le type du fichier de destination. La valeur par défaut est application/pdf. Utiliser imprimante/toto pour convertir dans le format précis de l'imprimante avec les filtres du fichier PPD.

-n copies
    Indiquer le nombre de copies à faire.

-o nom=valeur
    Indiquer les options à fournir aux filtres CUPS.

-p nom_fichier.ppd
    Définir le fichier PPD à utiliser.

-t titre
    Définir le titre du document.

-u  Effacer le fichier PPD après la conversion.

CODE DE RETOUR
cupsfilter renvoie un état de sortie différent de zéro lors de toute erreur.

ENVIRONNEMENT
Toutes les variables standards d’environnement de cups(1) affectent les opérations de cupsfilter.

FICHIERS
/etc/cups/cups-files.conf
/etc/cups/*.convs
/etc/cups/*.types
/usr/share/cups/mime/*.convs
/usr/share/cups/mime/*.types

NOTES
CUPS printer drivers, filters, and backends are deprecated and will no longer be supported in a future feature release of CUPS. Printers that do not support IPP can be supported using applications such as ippeveprinter(1).

Au contraire de l’impression, les filtres utilisés par la commande cupsfilter s’appliquent avec l’utilisateur et la session de sécurité en cours. Cela peut conduire à une sortie différente ou un comportement inattendu.

EXEMPLE
La commande suivante créera une prévisualisation PDF du travail 42 pour une imprimante nommée « myprinter » et enregistrée dans un fichier nommé « preview.pdf » :

    cupsfilter -m application/pdf -d myprinter -j 42 >preview.pdf

VOIR AUSSI
cups(1), cupsd.conf(5), filter(7), mime.convs(7), mime.types(7), aide en ligne de CUPS <URL:http://localhost:631/help>

COPYRIGHT
Copyright © 2021-2022 by OpenPrinting.